QSqlDriverPlugin(3qt)

NAME
QSqlDriverPlugin - Abstract base for custom QSqlDriver plugins

SYNOPSIS
#include <qsqldriverplugin.h>

  Public Members
QSqlDriverPlugin ()
~QSqlDriverPlugin ()
virtual QStringList keys () const = 0
virtual QSqlDriver * create ( const QString & key ) = 0

DESCRIPTION
The QSqlDriverPlugin class provides an abstract base for custom QSqlDriver plugins.

The SQL driver plugin is a simple plugin interface that makes it easy to create your own SQL driver plugins that can be loaded dynamically by Qt.

Writing a SQL plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the SQL plugins that come with Qt for example implementations (in the plugins/src/sqldrivers subdirectory of the source distribution). Read the plugins documentation for more information on plugins.

See also Plugins.

MEMBER FUNCTION DOCUMENTATION

QSqlDriverPlugin::QSqlDriverPlugin ()
Constructs a SQL driver plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

QSqlDriverPlugin::~QSqlDriverPlugin ()
Destroys the SQL driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

QSqlDriver * QSqlDriverPlugin::create ( const QString & key ) [pure virtual]
Creates and returns a QSqlDriver object for the driver key key. The driver key is usually the class name of the required driver.

See also keys().

QStringList QSqlDriverPlugin::keys () const [pure virtual]
Returns the list of driver keys this plugin supports.

These keys are usually the class names of the custom drivers that are implemented in the plugin.

See also create().

SEE ALSO
http://doc.trolltech.com/qsqldriverplugin.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsqldriverplugin.3qt) and the Qt version (3.0.3).